Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | List of all members
agora::rtc::ICameraCapturerEx Class Referenceabstract

`#include <video_node_i.h>`

Inherits agora::rtc::ICameraCapturer.

## Public Member Functions
virtual | ~ICameraCapturerEx ()
virtual void | setPreviewInfo (const PreviewMetaInfo &info)
virtual int | setCameraSourceLLApiInternal (ICameraCapturer::CAMERA_SOURCE source)=0
virtual bool | isZoomSupportedLLApiInternal ()=0
virtual int32_t | setCameraZoomLLApiInternal (float zoomValue)=0
virtual float | getCameraMaxZoomLLApiInternal ()=0
virtual bool | isFocusSupportedLLApiInternal ()=0
virtual int32_t | setCameraFocusLLApiInternal (float x, float y)=0
virtual bool | isAutoFaceFocusSupportedLLApiInternal ()=0
virtual int32_t | setCameraAutoFaceFocusLLApiInternal (bool enable)=0
virtual int32_t | enableFaceDetectionLLApiInternal (bool enable)=0
virtual bool | isCameraFaceDetectSupportedLLApiInternal ()=0
virtual bool | isCameraTorchSupportedLLApiInternal ()=0
virtual int32_t | setCameraTorchOnLLApiInternal (bool isOn)=0
virtual bool | isCameraExposurePositionSupportedLLApiInternal ()=0
virtual int | setCameraExposurePositionLLApiInternal (float positionXinView, float positionYinView)=0
virtual bool | isCameraExposureSupportedLLApiInternal ()=0
virtual int | setCameraExposureFactorLLApiInternal (float factor)=0
virtual int | switchCameraLLApiInternal ()=0
virtual std::string | getDeviceId ()=0
virtual int | initWithDefaultDeviceLLApiInternal ()=0
virtual int | initWithDeviceIdLLApiInternal (const char *deviceId)=0
virtual int | initWithDeviceNameLLApiInternal (const char *deviceName)=0
virtual int | setDeviceOrientationLLApiInternal (VIDEO_ORIENTATION orientation)=0
virtual int | setCaptureFormatLLApiInternal (const VideoFormat &capture_format)=0
virtual VideoFormat | getCaptureFormatLLApiInternal ()=0
virtual int | registerCameraObserverLLApiInternal (ICameraCaptureObserver *observer)=0
virtual int | unregisterCameraObserverLLApiInternal (ICameraCaptureObserver *observer)=0
virtual void | setCameraOutputDataType (CAMERA_OUTPUT_DATA_TYPE type)=0
virtual CAMERA_OUTPUT_DATA_TYPE | getCameraOutputDataType ()=0
virtual void | setCameraSelected (int module_selected)=0
virtual void | setCameraSelectedLevel (int camera_selected_level)=0
virtual void | setCameraPqFirst (bool pq_first)=0
virtual void | setCameraSkipControl (int skip_control)=0
virtual void | setVideoStabilityMode (int mode)=0
virtual void | setCameraLowPower (bool lowPower)=0
virtual void | setAutoFaceDetectFocus (bool enable)=0
virtual void | setCameraTemplateType (int type)=0
virtual void | setCameraTemplateVideoLowestScore (int lowestScore)=0
virtual void | setCameraExtraSurface (bool extraSurface)=0
virtual void | setCameraAutoWhiteBalance (bool enable)=0
virtual void | setVideoEdgeMode (int mode)=0
virtual void | setCamera1FocusMode (int mode)=0
virtual void | setCamera2FocusMode (int mode)=0
virtual void | setCamera1FpsRangeEnabled (bool enable)=0
virtual void | setCameraRefocusEnabled (bool enable)=0
virtual int32_t | setNoiseReductionMode (int mode)=0
virtual int | setCameraSourceWithCameraId (CAMERA_SOURCE source, const char *camera_id)=0
virtual void | switchCameraIdLLApiInternal (const char *cameraId)=0
virtual void | setFocalLengthType (CAMERA_FOCAL_LENGTH_TYPE focalLengthType)=0
virtual void | setCameraPqFirstCaptureMode (int captureMode)=0
virtual void | setCameraPqFirstDiff (int diff)=0
virtual void | setCameraTimeoutValue (int value)=0
virtual void | setCameraPqFirstLowFpsLimit (int value)=0
virtual void | setCameraCustomTange (int minFps, int maxFps, bool strictMode)=0
virtual void | setCameraEnablePqFirstTargetFps (bool enable)=0
virtual bool | enableMultiCameraLLApiInternal (bool enable)=0
virtual bool | isCameraAutoExposureFaceModeSupportedLLApiInternal ()=0
virtual int | setCameraAutoExposureFaceModeEnabledLLApiInternal (bool enabled)=0
virtual void | setHDRCaptureEnable (bool enableHDRCapture)=0
virtual void | setCameraMirror (VIDEO_MIRROR_MODE_TYPE mirror)=0
virtual void | setColorSpaceInfo (webrtc::ColorSpace colorSpace)=0
virtual void | setCameraDropCount (int dropcount)=0
virtual void | setOutputFormat (const VideoDataPipeFormat &output_format, bool bypass_resolution_adaption=false)=0
Public Member Functions inherited from agora::rtc::ICameraCapturer
virtual int | setCameraSource (CAMERA_SOURCE source, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual CAMERA_SOURCE | getCameraSource ()=0
virtual int | switchCamera (aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual bool | isZoomSupported ()=0
virtual int32_t | setCameraZoom (float zoomValue, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual float | getCameraMaxZoom ()=0
virtual bool | isFocusSupported ()=0
virtual int32_t | setCameraFocus (float x, float y, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual bool | isAutoFaceFocusSupported ()=0
virtual int32_t | setCameraAutoFaceFocus (bool enable, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | enableFaceDetection (bool enable, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual bool | isCameraFaceDetectSupported ()=0
virtual bool | isCameraTorchSupported ()=0
virtual int | setCameraTorchOn (bool on, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual bool | isCameraExposurePositionSupported ()=0
virtual int | setCameraExposurePosition (float positionXinView, float positionYinView, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual bool | isCameraExposureSupported ()=0
virtual int | setCameraExposureFactor (float value, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual bool | enableMultiCamera (bool enable, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual bool | isCameraAutoExposureFaceModeSupported ()=0
virtual int | setCameraAutoExposureFaceModeEnabled (bool enabled, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | setCameraStabilizationMode (CAMERA_STABILIZATION_MODE mode)=0
virtual int | initWithDeviceId (const char *deviceId)=0
virtual int | initWithDeviceName (const char *deviceName)=0
virtual bool | isCenterStageSupported ()=0
virtual int | enableCenterStage (bool enabled)=0
virtual int | setDeviceOrientation (VIDEO_ORIENTATION orientation, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | setCaptureFormat (const VideoFormat &capture_format, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual VideoFormat | getCaptureFormat ()=0
virtual int | registerCameraObserver (ICameraCaptureObserver *observer, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | unregisterCameraObserver (ICameraCaptureObserver *observer)=0
Public Member Functions inherited from agora::RefCountInterface
virtual void | AddRef () const =0
virtual RefCountReleaseStatus | Release () const =0
virtual bool | HasOneRef () const =0

## Additional Inherited Members
Public Types inherited from agora::rtc::ICameraCapturer
enum | CAMERA_SOURCE { CAMERA_BACK , CAMERA_FRONT , CAMERA_EXTRA }
enum | CAMERA_STATE { CAMERA_STARTED , CAMERA_STOPPED }
Protected Member Functions inherited from agora::rtc::ICameraCapturer
| ~ICameraCapturer ()
Protected Member Functions inherited from agora::RefCountInterface
virtual | ~RefCountInterface ()

## Constructor & Destructor Documentation

## ◆ ~ICameraCapturerEx()

virtual agora::rtc::ICameraCapturerEx::~ICameraCapturerEx | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ setPreviewInfo()

virtual void agora::rtc::ICameraCapturerEx::setPreviewInfo | ( | const PreviewMetaInfo & | info | ) |
| inlinevirtual

## ◆ setCameraSourceLLApiInternal()

virtual int agora::rtc::ICameraCapturerEx::setCameraSourceLLApiInternal | ( | ICameraCapturer::CAMERA_SOURCE | source | ) |
| pure virtual

## ◆ isZoomSupportedLLApiInternal()

virtual bool agora::rtc::ICameraCapturerEx::isZoomSupportedLLApiInternal | ( |  | ) |
| pure virtual

## ◆ setCameraZoomLLApiInternal()

virtual int32_t agora::rtc::ICameraCapturerEx::setCameraZoomLLApiInternal | ( | float | zoomValue | ) |
| pure virtual

## ◆ getCameraMaxZoomLLApiInternal()

virtual float agora::rtc::ICameraCapturerEx::getCameraMaxZoomLLApiInternal | ( |  | ) |
| pure virtual

## ◆ isFocusSupportedLLApiInternal()

virtual bool agora::rtc::ICameraCapturerEx::isFocusSupportedLLApiInternal | ( |  | ) |
| pure virtual

## ◆ setCameraFocusLLApiInternal()

virtual int32_t agora::rtc::ICameraCapturerEx::setCameraFocusLLApiInternal | ( | float | x,
|  | float | y )
| pure virtual

## ◆ isAutoFaceFocusSupportedLLApiInternal()

virtual bool agora::rtc::ICameraCapturerEx::isAutoFaceFocusSupportedLLApiInternal | ( |  | ) |
| pure virtual

## ◆ setCameraAutoFaceFocusLLApiInternal()

virtual int32_t agora::rtc::ICameraCapturerEx::setCameraAutoFaceFocusLLApiInternal | ( | bool | enable | ) |
| pure virtual

## ◆ enableFaceDetectionLLApiInternal()

virtual int32_t agora::rtc::ICameraCapturerEx::enableFaceDetectionLLApiInternal | ( | bool | enable | ) |
| pure virtual

## ◆ isCameraFaceDetectSupportedLLApiInternal()

virtual bool agora::rtc::ICameraCapturerEx::isCameraFaceDetectSupportedLLApiInternal | ( |  | ) |
| pure virtual

## ◆ isCameraTorchSupportedLLApiInternal()

virtual bool agora::rtc::ICameraCapturerEx::isCameraTorchSupportedLLApiInternal | ( |  | ) |
| pure virtual

## ◆ setCameraTorchOnLLApiInternal()

virtual int32_t agora::rtc::ICameraCapturerEx::setCameraTorchOnLLApiInternal | ( | bool | isOn | ) |
| pure virtual

## ◆ isCameraExposurePositionSupportedLLApiInternal()

virtual bool agora::rtc::ICameraCapturerEx::isCameraExposurePositionSupportedLLApiInternal | ( |  | ) |
| pure virtual

## ◆ setCameraExposurePositionLLApiInternal()

virtual int agora::rtc::ICameraCapturerEx::setCameraExposurePositionLLApiInternal | ( | float | positionXinView,
|  | float | positionYinView )
| pure virtual

## ◆ isCameraExposureSupportedLLApiInternal()

virtual bool agora::rtc::ICameraCapturerEx::isCameraExposureSupportedLLApiInternal | ( |  | ) |
| pure virtual

## ◆ setCameraExposureFactorLLApiInternal()

virtual int agora::rtc::ICameraCapturerEx::setCameraExposureFactorLLApiInternal | ( | float | factor | ) |
| pure virtual

## ◆ switchCameraLLApiInternal()

virtual int agora::rtc::ICameraCapturerEx::switchCameraLLApiInternal | ( |  | ) |
| pure virtual

## ◆ getDeviceId()

virtual std::string agora::rtc::ICameraCapturerEx::getDeviceId | ( |  | ) |
| pure virtual

## ◆ initWithDefaultDeviceLLApiInternal()

virtual int agora::rtc::ICameraCapturerEx::initWithDefaultDeviceLLApiInternal | ( |  | ) |
| pure virtual

## ◆ initWithDeviceIdLLApiInternal()

virtual int agora::rtc::ICameraCapturerEx::initWithDeviceIdLLApiInternal | ( | const char * | deviceId | ) |
| pure virtual

## ◆ initWithDeviceNameLLApiInternal()

virtual int agora::rtc::ICameraCapturerEx::initWithDeviceNameLLApiInternal | ( | const char * | deviceName | ) |
| pure virtual

## ◆ setDeviceOrientationLLApiInternal()

virtual int agora::rtc::ICameraCapturerEx::setDeviceOrientationLLApiInternal | ( | VIDEO_ORIENTATION | orientation | ) |
| pure virtual

## ◆ setCaptureFormatLLApiInternal()

virtual int agora::rtc::ICameraCapturerEx::setCaptureFormatLLApiInternal | ( | const VideoFormat & | capture_format | ) |
| pure virtual

## ◆ getCaptureFormatLLApiInternal()

virtual VideoFormat agora::rtc::ICameraCapturerEx::getCaptureFormatLLApiInternal | ( |  | ) |
| pure virtual

## ◆ registerCameraObserverLLApiInternal()

virtual int agora::rtc::ICameraCapturerEx::registerCameraObserverLLApiInternal | ( | ICameraCaptureObserver * | observer | ) |
| pure virtual

## ◆ unregisterCameraObserverLLApiInternal()

virtual int agora::rtc::ICameraCapturerEx::unregisterCameraObserverLLApiInternal | ( | ICameraCaptureObserver * | observer | ) |
| pure virtual

## ◆ setCameraOutputDataType()

virtual void agora::rtc::ICameraCapturerEx::setCameraOutputDataType | ( | CAMERA_OUTPUT_DATA_TYPE | type | ) |
| pure virtual

## ◆ getCameraOutputDataType()

virtual CAMERA_OUTPUT_DATA_TYPE agora::rtc::ICameraCapturerEx::getCameraOutputDataType | ( |  | ) |
| pure virtual

## ◆ setCameraSelected()

virtual void agora::rtc::ICameraCapturerEx::setCameraSelected | ( | int | module_selected | ) |
| pure virtual

## ◆ setCameraSelectedLevel()

virtual void agora::rtc::ICameraCapturerEx::setCameraSelectedLevel | ( | int | camera_selected_level | ) |
| pure virtual

## ◆ setCameraPqFirst()

virtual void agora::rtc::ICameraCapturerEx::setCameraPqFirst | ( | bool | pq_first | ) |
| pure virtual

## ◆ setCameraSkipControl()

virtual void agora::rtc::ICameraCapturerEx::setCameraSkipControl | ( | int | skip_control | ) |
| pure virtual

## ◆ setVideoStabilityMode()

virtual void agora::rtc::ICameraCapturerEx::setVideoStabilityMode | ( | int | mode | ) |
| pure virtual

## ◆ setCameraLowPower()

virtual void agora::rtc::ICameraCapturerEx::setCameraLowPower | ( | bool | lowPower | ) |
| pure virtual

## ◆ setAutoFaceDetectFocus()

virtual void agora::rtc::ICameraCapturerEx::setAutoFaceDetectFocus | ( | bool | enable | ) |
| pure virtual

## ◆ setCameraTemplateType()

virtual void agora::rtc::ICameraCapturerEx::setCameraTemplateType | ( | int | type | ) |
| pure virtual

## ◆ setCameraTemplateVideoLowestScore()

virtual void agora::rtc::ICameraCapturerEx::setCameraTemplateVideoLowestScore | ( | int | lowestScore | ) |
| pure virtual

## ◆ setCameraExtraSurface()

virtual void agora::rtc::ICameraCapturerEx::setCameraExtraSurface | ( | bool | extraSurface | ) |
| pure virtual

## ◆ setCameraAutoWhiteBalance()

virtual void agora::rtc::ICameraCapturerEx::setCameraAutoWhiteBalance | ( | bool | enable | ) |
| pure virtual

## ◆ setVideoEdgeMode()

virtual void agora::rtc::ICameraCapturerEx::setVideoEdgeMode | ( | int | mode | ) |
| pure virtual

## ◆ setCamera1FocusMode()

virtual void agora::rtc::ICameraCapturerEx::setCamera1FocusMode | ( | int | mode | ) |
| pure virtual

## ◆ setCamera2FocusMode()

virtual void agora::rtc::ICameraCapturerEx::setCamera2FocusMode | ( | int | mode | ) |
| pure virtual

## ◆ setCamera1FpsRangeEnabled()

virtual void agora::rtc::ICameraCapturerEx::setCamera1FpsRangeEnabled | ( | bool | enable | ) |
| pure virtual

## ◆ setCameraRefocusEnabled()

virtual void agora::rtc::ICameraCapturerEx::setCameraRefocusEnabled | ( | bool | enable | ) |
| pure virtual

## ◆ setNoiseReductionMode()

virtual int32_t agora::rtc::ICameraCapturerEx::setNoiseReductionMode | ( | int | mode | ) |
| pure virtual

## ◆ setCameraSourceWithCameraId()

virtual int agora::rtc::ICameraCapturerEx::setCameraSourceWithCameraId | ( | CAMERA_SOURCE | source,
|  | const char * | camera_id )
| pure virtual

## ◆ switchCameraIdLLApiInternal()

virtual void agora::rtc::ICameraCapturerEx::switchCameraIdLLApiInternal | ( | const char * | cameraId | ) |
| pure virtual

## ◆ setFocalLengthType()

virtual void agora::rtc::ICameraCapturerEx::setFocalLengthType | ( | CAMERA_FOCAL_LENGTH_TYPE | focalLengthType | ) |
| pure virtual

## ◆ setCameraPqFirstCaptureMode()

virtual void agora::rtc::ICameraCapturerEx::setCameraPqFirstCaptureMode | ( | int | captureMode | ) |
| pure virtual

## ◆ setCameraPqFirstDiff()

virtual void agora::rtc::ICameraCapturerEx::setCameraPqFirstDiff | ( | int | diff | ) |
| pure virtual

## ◆ setCameraTimeoutValue()

virtual void agora::rtc::ICameraCapturerEx::setCameraTimeoutValue | ( | int | value | ) |
| pure virtual

## ◆ setCameraPqFirstLowFpsLimit()

virtual void agora::rtc::ICameraCapturerEx::setCameraPqFirstLowFpsLimit | ( | int | value | ) |
| pure virtual

## ◆ setCameraCustomTange()

virtual void agora::rtc::ICameraCapturerEx::setCameraCustomTange | ( | int | minFps,
|  | int | maxFps,
|  | bool | strictMode )
| pure virtual

## ◆ setCameraEnablePqFirstTargetFps()

virtual void agora::rtc::ICameraCapturerEx::setCameraEnablePqFirstTargetFps | ( | bool | enable | ) |
| pure virtual

## ◆ enableMultiCameraLLApiInternal()

virtual bool agora::rtc::ICameraCapturerEx::enableMultiCameraLLApiInternal | ( | bool | enable | ) |
| pure virtual

## ◆ isCameraAutoExposureFaceModeSupportedLLApiInternal()

virtual bool agora::rtc::ICameraCapturerEx::isCameraAutoExposureFaceModeSupportedLLApiInternal | ( |  | ) |
| pure virtual

## ◆ setCameraAutoExposureFaceModeEnabledLLApiInternal()

virtual int agora::rtc::ICameraCapturerEx::setCameraAutoExposureFaceModeEnabledLLApiInternal | ( | bool | enabled | ) |
| pure virtual

## ◆ setHDRCaptureEnable()

virtual void agora::rtc::ICameraCapturerEx::setHDRCaptureEnable | ( | bool | enableHDRCapture | ) |
| pure virtual

## ◆ setCameraMirror()

virtual void agora::rtc::ICameraCapturerEx::setCameraMirror | ( | VIDEO_MIRROR_MODE_TYPE | mirror | ) |
| pure virtual

## ◆ setColorSpaceInfo()

virtual void agora::rtc::ICameraCapturerEx::setColorSpaceInfo | ( | webrtc::ColorSpace | colorSpace | ) |
| pure virtual

## ◆ setCameraDropCount()

virtual void agora::rtc::ICameraCapturerEx::setCameraDropCount | ( | int | dropcount | ) |
| pure virtual

## ◆ setOutputFormat()

virtual void agora::rtc::ICameraCapturerEx::setOutputFormat | ( | const VideoDataPipeFormat & | output_format,
|  | bool | bypass_resolution_adaption = false )
| pure virtual